%define nm_version          0.9.0
%define dbus_version        1.1
%define gtk3_version        3.0
%define vpnc_version        0.4
%define shared_mime_version 0.16-3

Summary:   NetworkManager VPN integration for vpnc
Name:      networkmanager-vpnc
Epoch:     1
Version:   0.9.8.6
Release:   %mkrel 2
License:   GPLv2+
Group:     System/Base
URL:       http://www.gnome.org/projects/NetworkManager/
Source:    https://download.gnome.org/sources/NetworkManager-vpnc/0.9/NetworkManager-vpnc-%version.tar.xz
BuildRequires: gtk+3.0-devel >= %{gtk3_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: libnm-util-devel >= %{nm_version}
BuildRequires: libnm-glib-devel >= %{nm_version}
BuildRequires: libnm-glib-vpn-devel >= %{nm_version}
BuildRequires: libGConf2-devel
BuildRequires: gnomeui2-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libglade2.0-devel
BuildRequires: libpng-devel
BuildRequires: intltool gettext
Requires: gtk+3.0          >= %{gtk3_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: vpnc             >= %{vpnc_version}
Requires: shared-mime-info >= %{shared_mime_version}
Requires: GConf2
Requires: gnome-keyring

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q -n NetworkManager-vpnc-%{version}

%build
%configure2_5x --disable-static
%make CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

%find_lang NetworkManager-vpnc

%clean
rm -rf %{buildroot}


%files -f NetworkManager-vpnc.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_libdir}/NetworkManager/libnm-vpnc-properties.so
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-vpnc-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-vpnc-service.name
%{_datadir}/gnome-vpn-properties/vpnc/nm-vpnc-dialog.ui
%{_datadir}/applications/nm-vpnc-auth-dialog.desktop
# For now disabled in upstream
#{_datadir}/applications/nm-vpnc.desktop
%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-cisco-vpn-settings.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.8.6-2.mga4
+ Revision: 534668
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 1:0.9.8.6-1.mga4
+ Revision: 478585
- new version 0.9.8.6

* Fri Jun 07 2013 ovitters <ovitters> 1:0.9.8.2-1.mga4
+ Revision: 440344
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 1:0.9.8.0-1.mga3
+ Revision: 399582
- new version 0.9.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 guillomovitch <guillomovitch> 1:0.9.6.0-1.mga3
+ Revision: 282843
- disable warnings preventing the build

  + ovitters <ovitters>
    - new version 0.9.6.0
    - new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225996
- new version 0.9.4.0
- new version 0.9.3.995

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106239
- Update tarball to 0.8.999
- Fix file list
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89452
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.995-1.mga1
+ Revision: 85271
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78824
- imported package networkmanager-vpnc

